<!doctype html>


<html>
<head>
  <link rel="shortcut icon" href="static/images/favicon.ico" type="image/x-icon">
  <title>proto2 (Closure Library API Documentation - JavaScript)</title>
  <link rel="stylesheet" href="static/css/base.css">
  <link rel="stylesheet" href="static/css/doc.css">
  <link rel="stylesheet" href="static/css/sidetree.css">
  <link rel="stylesheet" href="static/css/prettify.css">

  <script>
     var _staticFilePath = "static/";
     var _typeTreeName = "goog";
     var _fileTreeName = "Source";
  </script>

  <script src="static/js/doc.js">
  </script>


  <meta charset="utf8">
</head>

<body onload="grokdoc.onLoad();">

<div id="header">
  <div class="g-section g-tpl-50-50 g-split">
    <div class="g-unit g-first">
      <a id="logo" href="index.html">Closure Library API Documentation</a>
    </div>

    <div class="g-unit">
      <div class="g-c">
        <strong>Go to class or file:</strong>
        <input type="text" id="ac">
      </div>
    </div>
  </div>
</div>





<div class="colmask rightmenu">
<div class="colleft">
    <div class="col1">
      <!-- Column 1 start -->

<div id="title">
       <span class="fn">proto2</span>
</div>

<hr/>


  <h2>Classes</h2>
 <div class="fn-constructor">
        <a href="class_goog_proto2_Descriptor.html">
          goog.proto2.Descriptor</a><br/>
        <div class="class-details">A class which describes a Protocol Buffer 2 Message.

</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_FieldDescriptor.html">
          goog.proto2.FieldDescriptor</a><br/>
        <div class="class-details">A class which describes a field in a Protocol Buffer 2 Message.

</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_LazyDeserializer.html">
          goog.proto2.LazyDeserializer</a><br/>
        <div class="class-details">Base class for all lazy deserializers.

</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_Message.html">
          goog.proto2.Message</a><br/>
        <div class="class-details">Abstract base class for all Protocol Buffer 2 messages. It will be
subclassed in the code generated by the Protocol Compiler. Any other
subclasses are prohibited.
</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_ObjectSerializer.html">
          goog.proto2.ObjectSerializer</a><br/>
        <div class="class-details">ObjectSerializer, a serializer which turns Messages into simplified
ECMAScript objects.

</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_PbLiteSerializer.html">
          goog.proto2.PbLiteSerializer</a><br/>
        <div class="class-details">PB-Lite serializer.

</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_Serializer.html">
          goog.proto2.Serializer</a><br/>
        <div class="class-details">Abstract base class for PB2 serializers. A serializer is a class which
implements the serialization and deserialization of a Protocol Buffer Message
to/from a specific format.

</div>
 </div>
 <div class="fn-constructor">
        <a href="class_goog_proto2_TextFormatSerializer.html">
          goog.proto2.TextFormatSerializer</a><br/>
        <div class="class-details">TextFormatSerializer, a serializer which turns Messages into the human
readable text format.
</div>
 </div>
   
<br/>

  <div class="legend">
        <span class="key publickey"></span><span>Public</span>
        <span class="key protectedkey"></span><span>Protected</span>
        <span class="key privatekey"></span><span>Private</span>
  </div>









<div class="section">
  <table class="horiz-rule">


  </table>
</div>







  <h2>Global Properties</h2>





<div class="section">
  <table class="horiz-rule">


     <tr class="even entry public">
       <td class="access"></td>





  <a name="goog.proto2.DescriptorTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">DescriptorTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_descriptor_test.js.source.html#line15">Code &raquo;</a>
  </td>
     </tr>


     <tr class="odd entry public">
       <td class="access"></td>





  <a name="goog.proto2.FieldDescriptorTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">FieldDescriptorTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_fielddescriptor_test.js.source.html#line15">Code &raquo;</a>
  </td>
     </tr>


     <tr class="even entry public">
       <td class="access"></td>





  <a name="goog.proto2.MessageTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">MessageTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_message_test.js.source.html#line15">Code &raquo;</a>
  </td>
     </tr>


     <tr class="odd entry public">
       <td class="access"></td>





  <a name="goog.proto2.Metadata"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">Metadata</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_descriptor.js.source.html#line33">Code &raquo;</a>
  </td>
     </tr>


     <tr class="even entry public">
       <td class="access"></td>





  <a name="goog.proto2.ObjectSerializerTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">ObjectSerializerTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_objectserializer_test.js.source.html#line15">Code &raquo;</a>
  </td>
     </tr>


     <tr class="odd entry public">
       <td class="access"></td>





  <a name="goog.proto2.PbLiteSerializerTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">PbLiteSerializerTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_pbliteserializer_test.js.source.html#line15">Code &raquo;</a>
  </td>
     </tr>


     <tr class="even entry public">
       <td class="access"></td>





  <a name="goog.proto2.TextFormatSerializerTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">TextFormatSerializerTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_textformatserializer_test.js.source.html#line21">Code &raquo;</a>
  </td>
     </tr>


     <tr class="odd entry public">
       <td class="access"></td>





  <a name="goog.proto2.Util"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">Util</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_util.js.source.html#line19">Code &raquo;</a>
  </td>
     </tr>


     <tr class="even entry public">
       <td class="access"></td>





  <a name="goog.proto2.messageTest"></a>

  <td>


     <div class="arg">
        <img align="left" src="static/images/blank.gif">

        <span class="entryNamespace">goog.proto2.</span><span class="entryName">messageTest</span>
        : 
     </div>


     <div class="entryOverview">
       <span class='nodesc'>No description.</span>
     </div>

  </td>


  <td class="view-code">
     <a href="local_closure_goog_proto2_proto_test.js.source.html#line15">Code &raquo;</a>
  </td>
     </tr>


  </table>
</div>
      <!-- Column 1 end -->
    </div>

        <div class="col2">
          <!-- Column 2 start -->
          <div class="col2-c">
            <h2 id="ref-head">Package proto2</h2>
            <div id="localView"></div>
          </div>

          <div class="col2-c">
            <h2 id="ref-head">Package Reference</h2>
            <div id="sideTypeIndex" rootPath="" current="proto2"></div>
          </div>
          <!-- Column 2 end -->
        </div>
</div>
</div>

</body>
</html>
